org.apache.poi.hwpf.model

## Class FFDataBase

- java.lang.Object
- - org.apache.poi.hwpf.model.types.FFDataBaseAbstractType
  - - org.apache.poi.hwpf.model.FFDataBase

-     @Internal
      public class FFDataBase
      extends FFDataBaseAbstractType

  The FFData structure specifies form field data for a text box, check box, or drop-down list box.

  Class and fields descriptions are quoted from [MS-DOC] -- v20121003 Word (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation; Release: October 8, 2012

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to [MS-DOC] -- v20121003 Word (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation; Release: October 8, 2012

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.FFDataBaseAbstractType

      `field_1_version, field_2_bits, field_3_cch, field_4_hps, ITYPE_CHCK, ITYPE_DROP, ITYPE_TEXT, ITYPETXT_CALC, ITYPETXT_CURDATE, ITYPETXT_CURTIME, ITYPETXT_DATE, ITYPETXT_NUM, ITYPETXT_REG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FFDataBase()`
    `FFDataBase(byte[] std, int offset)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.FFDataBaseAbstractType

      `equals, fillFields, getBits, getCch, getHps, getIRes, getIType, getITypeTxt, getSize, getVersion, hashCode, isFHasListBox, isFOwnHelp, isFOwnStat, isFProt, isFRecalc, isISize, serialize, serialize, setBits, setCch, setFHasListBox, setFOwnHelp, setFOwnStat, setFProt, setFRecalc, setHps, setIRes, setISize, setIType, setITypeTxt, setVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FFDataBase

          public FFDataBase()

    - #### FFDataBase

          public FFDataBase(byte[] std,
                            int offset)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.